# Customer messages operations
Source: https://www.desktopaccountingapi.com/docs/api/reference/operations/tags/customer-messages/

Messages printed at the bottom of sales forms, such as a thank-you note.

- [List customer messages](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomermessageslist.md): `GET /v1/quickbooks-desktop/customer-messages`
- [Create a customer message](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomermessagescreate.md): `POST /v1/quickbooks-desktop/customer-messages`
- [Retrieve a customer message](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomermessagesretrieve.md): `GET /v1/quickbooks-desktop/customer-messages/{id}`
- [Delete a customer message](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomermessagesdelete.md): `DELETE /v1/quickbooks-desktop/customer-messages/{id}`
